## Update Object Storage Key

**patch** `/v1/storage/keys/{key_id}`

Rename an Object Storage Key. Its access key and secret do not change.

### Path Parameters

- `key_id: string`

### Body Parameters

- `name: optional string`

  Name of the Object Storage Key.

### Returns

- `ObjectStorageKey object { id, access_key, created_at, 5 more }`

  Object Storage Key details. The secret access key is only returned when the key is created.

  - `id: string`

    Unique identifier for the Object Storage Key.

  - `access_key: string`

    S3 access key ID.

  - `created_at: string`

    When the Object Storage Key was created.

  - `name: string`

    Name of the Object Storage Key.

  - `project_id: string`

    Project ID the Object Storage Key belongs to.

  - `region: RegionName`

    Region the resource is in.

    - `"us-sva-2"`

    - `"us-wdc-1"`

  - `status: ResourceStatus`

    Status of the resource.

    - `"pending"`

    - `"creating"`

    - `"updating"`

    - `"ready"`

    - `"deleting"`

    - `"deleted"`

    - `"error"`

    - `"suspended"`

  - `updated_at: string`

    When the Object Storage Key was updated.

### Example

```http
curl https://api.nirvanalabs.io/v1/storage/keys/$KEY_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
    -d '{
          "name": "ci-uploads"
        }'
```

#### Response

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "access_key": "0555B35654AD1656D804",
  "created_at": "2025-01-01T00:00:00Z",
  "name": "ci-uploads",
  "project_id": "123e4567-e89b-12d3-a456-426614174000",
  "region": "us-sva-2",
  "status": "ready",
  "updated_at": "2025-01-01T00:00:00Z"
}
```
